> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://rockwell.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://rockwell.ferndocs.com/_mcp/server.

# Create Customer Purchase Order

POST https://connect.plex.com/sales/v1/orders
Content-Type: application/json

Create a customer purchase order.

Reference: https://rockwell.ferndocs.com/api-reference/sales-orders-api/create-customer-purchase-order

## Request

### Body (application/json)

This endpoint expects an object.

- `customerNo` (string, optional)
- `customerId` (string, optional)
- `customerName` (string, optional)
- `customerPoNumber` (string, optional)
- `orderDate` (datetime, optional)
- `requestedShipDate` (datetime, optional)
- `paymentTerms` (string, optional)
- `currency` (string, optional)

## Response

### 201

Created

- `id` (string, optional)
- `customerNo` (string, optional)
- `customerId` (string, optional)
- `customerName` (string, optional)
- `customerPoNumber` (string, optional)
- `orderDate` (datetime, optional)
- `requestedShipDate` (datetime, optional)
- `paymentTerms` (string, optional)
- `currency` (string, optional)
- `status` (string, optional)
- `totalAmount` (double, optional)
- `lineItems` (list of SalesV1OrdersPostResponsesContentApplicationJsonSchemaLineItemsItems, optional)
- `createdDate` (datetime, optional)
- `modifiedDate` (datetime, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (SalesV1OrdersPostResponsesContentApplicationJsonSchemaError, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (SalesV1OrdersPostResponsesContentApplicationJsonSchemaError, optional)

## Types

### SalesV1OrdersPostResponsesContentApplicationJsonSchemaLineItemsItems

### SalesV1OrdersPostResponsesContentApplicationJsonSchemaError

- `code` (string, optional)
- `message` (string, optional)
- `details` (string, optional)
- `timestamp` (datetime, optional)
- `requestId` (string, optional)

## Examples

**Request**

```json
{
  "customerNo": "00000000-0000-0000-0000-000000000000",
  "customerId": "CUST-001",
  "customerName": "Ford Authorized Distributor",
  "customerPoNumber": "CUST-PO-2026-12345",
  "orderDate": "2026-02-18T00:00:00Z",
  "requestedShipDate": "2026-02-20T00:00:00Z",
  "paymentTerms": "Net 30",
  "currency": "USD"
}
```

**Response**

```json
{
  "id": "so-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "customerNo": "00000000-0000-0000-0000-000000000000",
  "customerId": "CUST-001",
  "customerName": "Ford Authorized Distributor",
  "customerPoNumber": "CUST-PO-2026-12345",
  "orderDate": "2026-02-18T00:00:00Z",
  "requestedShipDate": "2026-02-20T00:00:00Z",
  "paymentTerms": "Net 30",
  "currency": "USD",
  "status": "Open",
  "totalAmount": 0,
  "lineItems": [],
  "createdDate": "2026-02-18T10:30:00Z",
  "modifiedDate": "2026-02-18T10:30:00Z"
}
```

**SDK Code**

```python createCustomerPurchaseOrder_example
import requests

url = "https://connect.plex.com/sales/v1/orders"

payload = {
    "customerNo": "00000000-0000-0000-0000-000000000000",
    "customerId": "CUST-001",
    "customerName": "Ford Authorized Distributor",
    "customerPoNumber": "CUST-PO-2026-12345",
    "orderDate": "2026-02-18T00:00:00Z",
    "requestedShipDate": "2026-02-20T00:00:00Z",
    "paymentTerms": "Net 30",
    "currency": "USD"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript createCustomerPurchaseOrder_example
const url = 'https://connect.plex.com/sales/v1/orders';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"customerNo":"00000000-0000-0000-0000-000000000000","customerId":"CUST-001","customerName":"Ford Authorized Distributor","customerPoNumber":"CUST-PO-2026-12345","orderDate":"2026-02-18T00:00:00Z","requestedShipDate":"2026-02-20T00:00:00Z","paymentTerms":"Net 30","currency":"USD"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go createCustomerPurchaseOrder_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://connect.plex.com/sales/v1/orders"

	payload := strings.NewReader("{\n  \"customerNo\": \"00000000-0000-0000-0000-000000000000\",\n  \"customerId\": \"CUST-001\",\n  \"customerName\": \"Ford Authorized Distributor\",\n  \"customerPoNumber\": \"CUST-PO-2026-12345\",\n  \"orderDate\": \"2026-02-18T00:00:00Z\",\n  \"requestedShipDate\": \"2026-02-20T00:00:00Z\",\n  \"paymentTerms\": \"Net 30\",\n  \"currency\": \"USD\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby createCustomerPurchaseOrder_example
require 'uri'
require 'net/http'

url = URI("https://connect.plex.com/sales/v1/orders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"customerNo\": \"00000000-0000-0000-0000-000000000000\",\n  \"customerId\": \"CUST-001\",\n  \"customerName\": \"Ford Authorized Distributor\",\n  \"customerPoNumber\": \"CUST-PO-2026-12345\",\n  \"orderDate\": \"2026-02-18T00:00:00Z\",\n  \"requestedShipDate\": \"2026-02-20T00:00:00Z\",\n  \"paymentTerms\": \"Net 30\",\n  \"currency\": \"USD\"\n}"

response = http.request(request)
puts response.read_body
```

```java createCustomerPurchaseOrder_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://connect.plex.com/sales/v1/orders")
  .header("Content-Type", "application/json")
  .body("{\n  \"customerNo\": \"00000000-0000-0000-0000-000000000000\",\n  \"customerId\": \"CUST-001\",\n  \"customerName\": \"Ford Authorized Distributor\",\n  \"customerPoNumber\": \"CUST-PO-2026-12345\",\n  \"orderDate\": \"2026-02-18T00:00:00Z\",\n  \"requestedShipDate\": \"2026-02-20T00:00:00Z\",\n  \"paymentTerms\": \"Net 30\",\n  \"currency\": \"USD\"\n}")
  .asString();
```

```php createCustomerPurchaseOrder_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://connect.plex.com/sales/v1/orders', [
  'body' => '{
  "customerNo": "00000000-0000-0000-0000-000000000000",
  "customerId": "CUST-001",
  "customerName": "Ford Authorized Distributor",
  "customerPoNumber": "CUST-PO-2026-12345",
  "orderDate": "2026-02-18T00:00:00Z",
  "requestedShipDate": "2026-02-20T00:00:00Z",
  "paymentTerms": "Net 30",
  "currency": "USD"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp createCustomerPurchaseOrder_example
using RestSharp;

var client = new RestClient("https://connect.plex.com/sales/v1/orders");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"customerNo\": \"00000000-0000-0000-0000-000000000000\",\n  \"customerId\": \"CUST-001\",\n  \"customerName\": \"Ford Authorized Distributor\",\n  \"customerPoNumber\": \"CUST-PO-2026-12345\",\n  \"orderDate\": \"2026-02-18T00:00:00Z\",\n  \"requestedShipDate\": \"2026-02-20T00:00:00Z\",\n  \"paymentTerms\": \"Net 30\",\n  \"currency\": \"USD\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift createCustomerPurchaseOrder_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "customerNo": "00000000-0000-0000-0000-000000000000",
  "customerId": "CUST-001",
  "customerName": "Ford Authorized Distributor",
  "customerPoNumber": "CUST-PO-2026-12345",
  "orderDate": "2026-02-18T00:00:00Z",
  "requestedShipDate": "2026-02-20T00:00:00Z",
  "paymentTerms": "Net 30",
  "currency": "USD"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://connect.plex.com/sales/v1/orders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```